<?php

class ControllerModuleNewsletter extends Controller {

    private $error = array();

    public function index() {
        $this->load->language('module/newsletter');

        $this->document->setTitle($this->language->get('heading_title_doc'));

        $this->load->model('setting/setting');
        $this->load->type('tipocomum');
        $this->load->helper('ftr_geral');

        $this->data['ftr_geral'] = new ftr_geral();
        $this->data['Type_Status'] = $this->load->typeForTwig('Type_Status');

        if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
            $this->model_setting_setting->editSetting('newsletter', $this->request->post);

      			$this->session->data['success'] = $this->language->get('text_success');

      			$this->redirect($this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL'));
        }

        $this->data['token'] = $this->session->data['token'];
        $this->data['cancel'] = $this->url->link('index', 'token=' . $this->session->data['token'], 'SSL');

        // declaração das variaveis, pegando o nome expresso na linguagem
        $this->data['button_save']      	 		   = $this->language->get('button_save');
        $this->data['button_cancel']  		 		   = $this->language->get('button_cancel');
        $this->data['heading_title']  		 		   = $this->language->get('heading_title');

    		$this->data['text_newsletter_status']     		   = $this->language->get('text_newsletter_status');

        //ate aqui

        if (isset($this->error['warning'])) {
            $this->data['error_warning'] = $this->error['warning'];
        } else {
            $this->data['error_warning'] = '';
        }

        if (isset($this->session->data['success'])) {
    	    $this->data['success'] = $this->session->data['success'];
            unset($this->session->data['success']);
  	    } else {
  	        $this->data['success'] = '';
  	    }

    		if (isset($this->request->post['newsletter_status'])) {
            $this->data['newsletter_status'] = $this->request->post['newsletter_status'];
        }else{
            $this->data['newsletter_status'] = $this->config->get('newsletter_status');
    		}


        $this->data['breadcrumbs'] = array();
        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_home'),
            'href' => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => false
        );

        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_module'),
            'href' => $this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL'),
            'separator' => ' :: '
        );

        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('heading_title'),
            'href' => $this->url->link('module/newsletter', 'token=' . $this->session->data['token'] . '&type=' . $this->request->get['type'], 'SSL'),
            'separator' => ' :: '
        );

        $this->data['action'] = $this->url->link('module/newsletter', 'token=' . $this->session->data['token'] . '&type=' . $this->request->get['type'], 'SSL');
        $this->data['cancel'] = $this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL');

        $this->children = array(
            'common/header',
            'common/footer',
        );

        $this->response->setOutput($this->render('module/newsletter'));
    }

    private function validate() {
        if (!$this->user->hasPermission('modify', 'module/newsletter')) {
            $this->error['warning'] = $this->language->get('error_permission');
        }

        if (!$this->error) {
            return true;
        } else {
            return false;
        }
    }

  }
